# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-tgext-admin
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?pyver: %global pyver %(%{__python} -c "import sys ; print sys.version[:3]")}

Name:           python-module-tgext-admin
Version:        0.5.4
Release:        alt1_1
Summary:        Admin Controller add-on for basic TG identity model

Group:          Development/Python
License:        MIT
URL:            http://pypi.python.org/pypi/tgext.admin/
Source0:        http://pypi.python.org/packages/source/t/tgext.admin/tgext.admin-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python-module-distribute python-devel
Source44: import.info
# in .pth
%py_provides tgext
%filter_from_requires /^python....tgext./d
#BuildRequires:  python-tgext-crud python-nose TurboGears2

%description
Admin Controller add-on for basic TG identity model.


%prep
%setup -q -n tgext.admin-%{version}


%build
%{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root %{buildroot}
%{__rm} -r %{buildroot}/%{python_sitelibdir_noarch}/tests


# Waiting for chameleon.genshi to be packaged
#%check
#PYTHONPATH=$(pwd) nosetests


%files
%doc README.txt
%{python_sitelibdir_noarch}/tgext.admin-%{version}-py%{pyver}*
%{python_sitelibdir_noarch}/tgext/admin/


%changelog
* Sat Apr 13 2013 Igor Vlasenko <viy@altlinux.ru> 0.5.4-alt1_1
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.11-alt1_4
- update to new release by fcimport

* Tue Jan 08 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.11-alt1_3
- initial fc import

